Bug 205248 - aqbanking-debuginfo contains symlinks to a buildroot
aqbanking-debuginfo contains symlinks to a buildroot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aqbanking (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On: 204435
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 11:46 EDT by Radek Bíba
Modified: 2014-03-16 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 10:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-09-05 11:46:19 EDT
rpm -qvpl aqbanking-debuginfo-1.8.1beta-3.1.i386.rpm says e.g.:
lrwxrwxrwx    1 root    root               83 Feb 11  2006
/usr/src/debug/aqbanking-1.8.1beta/headers/aqbanking/account.h ->
/usr/src/build/700788-i386/BUILD/aqbanking-1.8.1beta/src/libs/aqbanking/./account.h
lrwxrwxrwx    1 root    root               86 Feb 11  2006
/usr/src/debug/aqbanking-1.8.1beta/headers/aqbanking/account_be.h ->
/usr/src/build/700788-i386/BUILD/aqbanking-1.8.1beta/src/libs/aqbanking/./account_be.h
...

That's insane, the target files cannot exist on a system this package will be
installed on.
Comment 1 Bill Nottingham 2006-09-05 11:52:36 EDT
See bug 204435.
Comment 2 Radek Bíba 2006-09-05 11:58:18 EDT
Can that bug be used as a tracker bug for issues with symlinks in debuginfo
packages? There are currently seven packages in rawhide which have this problem.
Comment 3 Bill Nottingham 2006-09-05 11:59:30 EDT
Sure.
Comment 4 Radek Bíba 2006-09-05 12:23:08 EDT
Oops, I actually meant fc5, not devel - I was running the command in an fc5
directory. In case of rawhide, the symlinks point to /builddir/build/BUILD...
This bug should depend on bug 204437 (a beehive version of the bug above), too.
Comment 5 Radek Bíba 2006-09-06 14:43:28 EDT
rpm is to blame.

Please don't close this bug until the dependent one is fixed and aqbanking is
rebuilt.
Comment 6 Bill Nottingham 2006-09-07 10:19:45 EDT
fixed in -9.

Note You need to log in before you can comment on or make changes to this bug.